package com.docus.server.enums;

import com.docus.infrastructure.core.db.enums.IIntegerEnum;

/**
 * 忙闲状态
 */
public enum OcrStatusEnum implements IIntegerEnum {

    NO_START(0, "未开始"),

    STARTING(1, "分段中"),

    COMPLETE(2, "完成分段");

    private Integer value;
    private String display;

    OcrStatusEnum(Integer value, String display) {
        this.value = value;
        this.display = display;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getDisplay() {
        return display;
    }
}
